About Scalismo version

3 views
Skip to first unread message

Bereket Workie Anteneh

unread,
Jan 16, 2021, 8:53:30 AMJan 16
to scalismo
Dear Scalismo community,
I have the old Scalismo version 0.18 in my windows with IDE. 

 Can I do the SSM project with the old version? If not how I can update to the new version 0.90?

With regards,
Bereket W.

Marcel Luethi

unread,
Jan 16, 2021, 10:40:29 AMJan 16
to Bereket Workie Anteneh, scalismo
Hi Bereket

Yes, no problem. We keep the documentation around and will fix bugs in 0.18 if we find some.  If you don't need any features that are only available in 0.90 there is no reason to switch right now.

Best regards,

Marcel

--
You received this message because you are subscribed to the Google Groups "scalismo" group.
To unsubscribe from this group and stop receiving emails from it, send an email to scalismo+u...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/scalismo/a00ab47d-e4af-4983-936b-97d059f2c158n%40googlegroups.com.

V R

unread,
Jan 16, 2021, 3:33:10 PMJan 16
to Bereket Workie Anteneh, scalismo
Hi Berek,
Yes, you can update to 0.90 by changing this line in your built.sbt:
===
libraryDependencies ++=
  Seq("ch.unibas.cs.gravis" %% "scalismo-ui" % "0.90.0")
===
I updated from 0.18 to 0.90 and everything works very well: the main thing I have to do is to change StatisticalShapeModel to PointDistributionModel as Marcel explained here: 
and use the class transformation if you have mesh transformation.

Also load/save .h5 files break and just follow the API-doc to fix them, there is not much work to fix them.

Best regards,
Maia



--
Reply all
Reply to author
Forward
0 new messages